Loading...
Searching...
No Matches
Preprocessor String Macros
libavutil » Other

String manipulation macros. More...

## Macros

#define | AV_STRINGIFY(s) AV_TOSTRING(s)
#define | AV_TOSTRING(s) #s
#define | AV_GLUE(a, b) a ## b
#define | AV_JOIN(a, b) AV_GLUE(a, b)

## Detailed Description

String manipulation macros.

## Macro Definition Documentation

## AV_STRINGIFY

#define AV_STRINGIFY | ( |  | s | ) | AV_TOSTRING(s)

Examples
  filter_audio.c.

Definition at line 66 of file macros.h.

## AV_TOSTRING

#define AV_TOSTRING | ( |  | s | ) | #s

Definition at line 67 of file macros.h.

## AV_GLUE

#define AV_GLUE | ( |  | a,
|  |  | b
| ) |  | a ## b

Definition at line 69 of file macros.h.

## AV_JOIN

#define AV_JOIN | ( |  | a,
|  |  | b
| ) |  | AV_GLUE(a, b)

Definition at line 70 of file macros.h.